请选择 进入手机版 | 继续访问电脑版

01BIM社区

 找回密码
 立即注册

扫一扫,访问微社区

查看: 710|回复: 4

CadDraw工具基础类

[复制链接]

124

主题

395

帖子

1529

积分

金牌会员

Rank: 6Rank: 6

积分
1529
发表于 2019-9-28 14:42:44 | 显示全部楼层 |阅读模式
CadDraw工具基础类


回复

使用道具 举报

124

主题

395

帖子

1529

积分

金牌会员

Rank: 6Rank: 6

积分
1529
 楼主| 发表于 2019-9-28 14:46:03 | 显示全部楼层
本帖为密码帖 ,请输入密码 
回复 支持 反对

使用道具 举报

124

主题

395

帖子

1529

积分

金牌会员

Rank: 6Rank: 6

积分
1529
 楼主| 发表于 2019-9-28 14:49:22 | 显示全部楼层
本帖为密码帖 ,请输入密码 
回复 支持 反对

使用道具 举报

124

主题

395

帖子

1529

积分

金牌会员

Rank: 6Rank: 6

积分
1529
 楼主| 发表于 2019-9-28 14:55:40 | 显示全部楼层
本帖为密码帖 ,请输入密码 
回复 支持 反对

使用道具 举报

124

主题

395

帖子

1529

积分

金牌会员

Rank: 6Rank: 6

积分
1529
 楼主| 发表于 2019-12-14 10:25:48 | 显示全部楼层
<第三部分 引线文字实体TextLine>
一、文字样式类名称:TextLine_01KJ
二、继承类名称:Tzbm_Common:rawBase_01KJ
三、成员变量
1、m_EntityID,引线文字图元;
2、mTextStr,文字内容;
3、m_TextPoint,文字插入点;
4、m_TextStyle,文字样式;
5、m_TextHeight,文字高度;
6、m_TextDepth,文字厚度;
7、m_TextVectorCK,文字参考方向;
8、m_TextNormal,文字法线向量;
9、m_TextMaterStr,文字材质;
10、m_LayerStr,图层;
11、m_LinePoint1,引线起点;
12、m_LinePoint2,引线转点;
13、m_LinePoint3,引线终点;
14、m_LineWidth,引线宽度;
15、m_LineDepth,引线厚度;
16、m_LineStyle,引线样式;
17、m_LineScale,引线比例;
18、m_LineMatStr,引线材质;
19、m_LineTextDist,引线与文;字(m_LinePoint3-m_LinePoint2方向)距m_LinePoint2点的长度;
20、m_LineTextNumber,引线文字竖向位置排数;
21、m_LineOriginStyle1,引线起点类别:0——无、1——箭头、2——园、3——方;
22、m_LineOriginStyle2,引线起点类型:0——空心、1——实心;
23、m_LineOriginWidth,引线起点宽度;
四、成员函数
(一)初始化
1、initialize(m_Entities=Sketchup.active_model.entities,m_TextStr="X 1000.56#Y 2000.68#H 368.45",m_TextPoint=Geom:oint3d.new(0.2.m,1.m,0.m),m_TextStyle="Standard",m_TextHeight=300.mm,m_TextDepth=20.mm,m_TextVectorCK=Geom::Vector3d.new(1.0.m,0.m,0.m),m_TextNormal=Geom::Vector3d.new(0.m,0.m,1.m),m_TextMaterStr="Text_01KJ",m_LayerStr="Layer1",m_LinePoint1=Geom:oint3d.new(0.m,0.m,0.m),m_LinePoint2=Geom:oint3d.new(-1.m,1.m,0.m),m_LinePoint3=Geom:oint3d.new(-2.m,1.m,0.m),m_LineWidth=0.mm,m_LineDepth=50.mm,m_LineStyle="Solid",m_LineScale=1.0,m_LineMatStr="Text_01KJ",m_LineTextDist=100.mm,m_LineTextNumber=1,m_LineOriginStyle1=0,m_LineOriginStyle2=0,m_LineOriginWidth=100.mm,m_DisableUI=true,m_Transparent=false,m_PrevTrans=false)
2、setEntityID(m_EntityID)
3、countVariable()
4、setAttribute()
5、changeParameters()
五、成员方法
(一)调用层
1、createEntity()
(二)角色定义层
2、createTextLine_JM()
(三)核心绘制层
4、drawTextCore_JM()
5、drawText();
6、drawLine();
7、drawLineOrigin();

回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋|01BIM社区 - 最专业的BIM技术交流平台 ( 渝ICP备15000873号 )

GMT+8, 2020-6-1 03:11 , Processed in 0.114924 second(s), 22 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表